import * as React from 'react';
/**
 * Create a HOC that injects services into props via the mapToServices function from a scope under the ServiceProviderContext's provider.
 *
 * This has been designed to feel similar to Redux's connect() HOC.
 * @param Container
 * @param props
 */
export declare function withServiceProps<PropTypes = any, ServiceCollection = any>(mapToServices: (services: ServiceCollection) => Partial<PropTypes>): ((component: React.ComponentType<any>) => any);
